Summary:     Linux Userland Filesystem (LUFS)
Name:        lufs
Version:     0.9.7
Release:     4.pp
License:     GPL
Group:       Console/Filesystems
Source0:     http://download.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
URL:         http://%{name}.sourceforge.net/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    kernel >= 2.4.26 kernel.lufs libstdc++ >= 2.96
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: kernel-source >= 2.4.26 glibc-devel libstdc++-devel >= 2.96
ExclusiveOS: linux

%description
LUFS is a hybrid userspace filesystem framework supporting
many "exotic" filesystems (localfs, sshfs, ftpfs, httpfs,
socketfs, freenetfs, and nutellafs) transparently for any
application. It can be regarded as doing the same job as
the VFS (virtual filesystem switch) in the kernel: it is a
switch, distributing the filesystem calls to its supported
filesystems. However, LUFS filesystems are implemented in
userspace. This would be a drawback for local filesystems
where the access speed is important, but proves to be a
huge advantage for networked filesystems where the userland
flexibility is most important.

This package contains the userspace tools and the libraries
for lufs. You need an lufs-enabled kernel to use LUFS.


%package devel
Group:       Development/Libraries
Summary:     Development tools for LUFS
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%description devel
The %{name}-devel package contains the static libraries and
header files for developing software with LUFS.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man \
	--enable-static         \
	--enable-shared         \
	--disable-kernel-support
make all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install
ln -sf /usr/bin/auto.ftpfs /var/tmp/lufs-root/etc/auto.ftpfs
ln -sf /usr/bin/auto.sshfs /var/tmp/lufs-root/etc/auto.sshfs
ln -sf /usr/bin/lufsd /var/tmp/lufs-root/sbin/mount.lufs


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog Contributors COPYING INSTALL NEWS README THANKS TODO
%doc docs/cefs.txt docs/lufs.html docs/lufs.sxw docs/lufs.txt
%config(noreplace) /etc/lufsd.conf
/etc/auto.*
/sbin/*
/usr/bin/auto.*
/usr/bin/lufsd
/usr/bin/lufsmount
/usr/bin/lussh
%attr(4755,root,root) /usr/bin/lufsmnt
%attr(4755,root,root) /usr/bin/lufsumount
/usr/lib/*.so*
/usr/share/man/man1/*

%files devel
%defattr(-,root,root)
%dir /usr/include/lufs
/usr/include/lufs/*
/usr/lib/*.*a


%changelog
* Mon May 03 2004 peter.pramberger@1012surf.net
- new version 0.9.7
- compiled for kernel 2.4.26

* Thu Sep 18 2003 peter.pramberger@1012surf.net
- compiled for kernel 2.4.22
- man pages moved to /usr/share/man

* Wed Aug 13 2003 peter.pramberger@1012surf.net
- created

